## sonic-visualiser 4.0

=== debian/changelog ===
sonic-visualiser (4.0-1) unstable; urgency=medium

  * New upstream version 4.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Install helpers to a place where upstream looks for them
    * Drop obsolete patch for Debian specific helper directory
  * Use B-D on versioned debhelper-compat instead of d/compat
  * Declare that "root" is not required to build this package
  * Update d/copyright
    * Refresh d/copyright_hints
    * Remove unused licenses
    * Exclude repository tweaks from upstream

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Nov 2019 16:31:02 +0100

## sonic-visualiser 4.0.1

=== bqfft/Makefile ===

# Add to FFT_DEFINES the relevant options for your desired third-party
# library support.
#
# Available options are
#
#  -DHAVE_IPP         Intel's Integrated Performance Primitives are available
#  -DHAVE_VDSP        Apple's Accelerate framework is available
#  -DHAVE_FFTW3       The FFTW library is available
#  -DHAVE_KISSFFT     The KissFFT library is available
#  -DHAVE_MEDIALIB    The Medialib library (from Sun) is available
#  -DHAVE_OPENMAX     The OpenMAX signal processing library is available
#  -DUSE_BUILTIN_FFT  Compile the built-in FFT code (which is very slow)
#
# You may define more than one of these. If you define
# USE_BUILTIN_FFT, the code will be compiled in but will only be used
# if no other option is available. If no flags are supplied, the code
# will refuse to compile.

# WARNING! The default option here is VERY SLOW! Read above for better
# alternatives!
FFT_DEFINES		:= -DUSE_BUILTIN_FFT


# Add to VECTOR_DEFINES and ALLOCATOR_DEFINES any options desired for
# the bqvec library (that are not already defined in FFT_DEFINES).
# See the bqvec build documentation for more details.
#
VECTOR_DEFINES 		:= 
ALLOCATOR_DEFINES 	:= 


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


# If you are including a set of bq libraries into a project, you can
# override variables for all of them (including all of the above) in
# the following file, which all bq* Makefiles will include if found

-include ../Makefile.inc-bq


# This project-local Makefile describes the source files and contains
# no routinely user-modifiable parts

include build/Makefile.inc

=== bqresample/Makefile ===

# Add to RESAMPLE_DEFINES the relevant options for your desired
# third-party library support.
#
# Available options are
#
#  -DHAVE_IPP            Intel's Integrated Performance Primitives are available
#  -DHAVE_LIBRESAMPLE    The libresample library is available
#  -DHAVE_LIBSAMPLERATE  The libsamplerate library is available
#  -DUSE_SPEEX           Compile the built-in Speex-derived resampler
#
# You may define more than one of these. If you define USE_SPEEX, the
# code will be compiled in and will be used when it is judged to be
# the best available option for a given quality setting. If no flags
# are supplied, the code will refuse to compile.

RESAMPLE_DEFINES	:= -DUSE_SPEEX


# Add to VECTOR_DEFINES and ALLOCATOR_DEFINES any options desired for
# the bqvec library (that are not already defined in RESAMPLE_DEFINES).
# See the bqvec build documentation for more details.
#
VECTOR_DEFINES 		:= 
ALLOCATOR_DEFINES 	:= 


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


# If you are including a set of bq libraries into a project, you can
# override variables for all of them (including all of the above) in
# the following file, which all bq* Makefiles will include if found

-include ../Makefile.inc-bq


# This project-local Makefile describes the source files and contains
# no routinely user-modifiable parts

include build/Makefile.inc

=== debian/changelog ===
sonic-visualiser (4.0.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:47 +0100

sonic-visualiser (4.0.1-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 4.0.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add note on how to properly import upstream sources

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 10:01:20 +0100

=== debian/control ===
Source: sonic-visualiser
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libbz2-dev,
 capnproto,
 libcapnp-dev (>= 0.6.0),
 libdataquay-dev (>= 0.9-3),
 libfftw3-dev,
 libfishsound1-dev,
 libid3tag0-dev,
 libjack-dev,
 liblo-dev,
 liblrdf0-dev,
 libopusfile-dev,
 libmad0-dev,
 liboggz2-dev,
 libpulse-dev,
 librdf0-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsm-dev,
 libsndfile1-dev,
 libsord-dev,
 libx11-dev,
 portaudio19-dev,
 vamp-plugin-sdk (>= 2.5),
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://www.sonicvisualiser.org
Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sonic-visualiser

Package: sonic-visualiser
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: viewing and analysing the contents of music audio files
 The aim of Sonic Visualiser is to be the first program you reach for
 when want to study a musical recording rather than simply listen to it.
 .
 Sonic Visualiser could be of particular interest to musicologists,
 archivists, signal-processing researchers and anyone else looking for a
 friendly way to take a look at what lies inside the audio file.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export HOME=$(CURDIR)/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CXXFLAGS_MAINT_APPEND=-std=c++14
DEB_LDFLAGS_MAINT_APPEND=
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
endif
DEB_LDFLAGS_MAINT_APPEND+= -Wl,--as-needed

export DEB_CXXFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(CURDIR)/tmp
	cp $(CURDIR)/debian/missing-sources/piper.capnp \
		$(CURDIR)/piper-vamp-cpp/vamp-capnp
	capnp compile -o c++ $(CURDIR)/piper-vamp-cpp/vamp-capnp/piper.capnp
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp
	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.c++
	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.h
	rm -rf $(CURDIR)/tmp

override_dh_auto_install:
	dh_auto_install -- \
		INSTALL_ROOT='$$(DESTDIR)' \
		$(empty)
	rm -rf $(CURDIR)/debian/*/usr/tests/
	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -delete

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## sonic-visualiser 4.2

=== bqaudiostream/Makefile ===

SOURCES	:= src/AudioReadStream.cpp src/AudioReadStreamFactory.cpp src/AudioWriteStreamFactory.cpp src/AudioStreamExceptions.cpp
HEADERS	:= $(wildcard src/*.h) $(wildcard bqaudiostream/*.h)
OBJECTS	:= $(patsubst %.cpp,%.o,$(SOURCES))
LIBRARY	:= libbqaudiostream.a

CXXFLAGS := -std=c++98 -DHAVE_LIBSNDFILE -DHAVE_OGGZ -DHAVE_FISHSOUND -I../bqvec -I../bqthingfactory -I../bqresample -I./bqaudiostream -fpic

CXXFLAGS += -DHAVE_OPUS -I/usr/include/opus

all:	$(LIBRARY)

$(LIBRARY):	$(OBJECTS)
	ar cr $@ $^

clean:		
	rm -f $(OBJECTS)

distclean:	clean
	rm -f $(LIBRARY)

depend:
	makedepend -Y -fMakefile -I./bqaudiostream $(SOURCES) $(HEADERS)


# DO NOT DELETE

src/AudioReadStream.o: ./bqaudiostream/AudioReadStream.h
src/AudioReadStreamFactory.o: ./bqaudiostream/AudioReadStreamFactory.h
src/AudioReadStreamFactory.o: ./bqaudiostream/AudioReadStream.h
src/AudioReadStreamFactory.o: ./bqaudiostream/Exceptions.h
src/AudioReadStreamFactory.o: src/WavFileReadStream.cpp
src/AudioReadStreamFactory.o: src/OggVorbisReadStream.cpp
src/AudioReadStreamFactory.o: src/MediaFoundationReadStream.cpp
src/AudioReadStreamFactory.o: src/CoreAudioReadStream.cpp
src/AudioWriteStreamFactory.o: ./bqaudiostream/AudioWriteStreamFactory.h
src/AudioWriteStreamFactory.o: ./bqaudiostream/AudioWriteStream.h
src/AudioWriteStreamFactory.o: ./bqaudiostream/Exceptions.h
src/AudioWriteStreamFactory.o: ./bqaudiostream/AudioReadStreamFactory.h
src/AudioWriteStreamFactory.o: src/WavFileWriteStream.cpp
src/AudioWriteStreamFactory.o: src/SimpleWavFileWriteStream.cpp
src/AudioWriteStreamFactory.o: src/SimpleWavFileWriteStream.h
src/AudioWriteStreamFactory.o: src/CoreAudioWriteStream.cpp
src/AudioWriteStreamFactory.o: src/CoreAudioWriteStream.h
src/Exceptions.o: ./bqaudiostream/Exceptions.h
src/MediaFoundationReadStream.o: ./bqaudiostream/AudioReadStream.h
src/WavFileWriteStream.o: ./bqaudiostream/AudioWriteStream.h
src/SimpleWavFileWriteStream.o: ./bqaudiostream/AudioWriteStream.h
src/WavFileReadStream.o: ./bqaudiostream/AudioReadStream.h
src/CoreAudioWriteStream.o: ./bqaudiostream/AudioWriteStream.h
src/CoreAudioReadStream.o: ./bqaudiostream/AudioReadStream.h
src/OggVorbisReadStream.o: ./bqaudiostream/AudioReadStream.h

=== debian/changelog ===
sonic-visualiser (4.2-1) unstable; urgency=medium

  * New upstream version 4.2
  * Appending hardening CPPFLAGS to CXXFLAGS
    * Include buildflags.mk
  * Remove redundant file-stanzas from d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Aug 2020 22:42:37 +0200

sonic-visualiser (4.1-1) unstable; urgency=medium

  * New upstream version 4.1 (Closes: #964643)

  * Adjust OSC-documentation path
  * Let the build-system invoke 'capnp'
    * Fix path to vamp-capnp in "clean" target
  * Add CI-configuration
  * Update dates in d/copyright
    * Regenerate d/copyright_hints
  * Bump dh-compat to 13
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Jul 2020 14:58:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev,
@@ -36,7 +36,7 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_CXXFLAGS_MAINT_APPEND=-std=c++14
+include /usr/share/dpkg/buildflags.mk
+
+DEB_CXXFLAGS_MAINT_APPEND=-std=c++14 $(CPPFLAGS)
 DEB_LDFLAGS_MAINT_APPEND=
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
     DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
@@ -20,21 +22,22 @@
 
 export QT_SELECT=qt5
 
+vamp-capnp=$(CURDIR)/piper-vamp-cpp/vamp-capnp
+
 %:
 	dh $@
 
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/tmp
 	cp $(CURDIR)/debian/missing-sources/piper.capnp \
-		$(CURDIR)/piper-vamp-cpp/vamp-capnp
-	capnp compile -o c++ $(CURDIR)/piper-vamp-cpp/vamp-capnp/piper.capnp
+		$(vamp-capnp)
 	dh_auto_build
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp
-	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.c++
-	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.h
+	rm -f $(vamp-capnp)/piper.capnp
+	rm -f $(vamp-capnp)/piper.capnp.c++
+	rm -f $(vamp-capnp)/piper.capnp.h
 	rm -rf $(CURDIR)/tmp
 
 override_dh_auto_install:

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
https://code.soundsoftware.ac.uk/projects/sonic-visualiser/files \
	/attachments/download/\d+/sonic-visualiser-([\d.]+)\.tar\.gz

## sonic-visualiser 4.4

=== bqaudiostream/Makefile ===

# Place in AUDIOSTREAM_DEFINES the relevant options for the audio file
# I/O libraries you have.
#
# Available options are
#
#  -DHAVE_LIBSNDFILE   * Read various formats (wav, aiff, ogg etc)
#                      * Write wav files
#  -DHAVE_OGGZ -DHAVE_FISHSOUND
#                      * Read Ogg/Vorbis files using oggz
#  -DHAVE_OPUS         * Read Opus files using libopus
#  -DHAVE_MINIMP3      * Read mp3 files using minimp3
#  -DHAVE_MEDIAFOUNDATION
#                      * Read various formats using MediaFoundation on Windows
#  -DHAVE_COREAUDIO    * Read various formats using CoreAudio on macOS/iOS
#
# If HAVE_LIBSNDFILE is not defined, a simple built-in Wav file writer
# will also be provided, as none of the other libraries have write
# support included here.

AUDIOSTREAM_DEFINES := -DHAVE_LIBSNDFILE -DHAVE_OGGZ -DHAVE_FISHSOUND -DHAVE_OPUS


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:= -I/usr/include/opus
THIRD_PARTY_LIBS	:=


# If you are including a set of bq libraries into a project, you can
# override variables for all of them (including all of the above) in
# the following file, which all bq* Makefiles will include if found

-include ../Makefile.inc-bq


# This project-local Makefile describes the source files and contains
# no routinely user-modifiable parts

include build/Makefile.inc

=== bqfft/Makefile ===
--- 
+++ 
@@ -2,23 +2,20 @@
 # Add to FFT_DEFINES the relevant options for your desired third-party
 # library support.
 #
-# Available options are
+# Available library options are
 #
 #  -DHAVE_IPP         Intel's Integrated Performance Primitives are available
 #  -DHAVE_VDSP        Apple's Accelerate framework is available
 #  -DHAVE_FFTW3       The FFTW library is available
 #  -DHAVE_KISSFFT     The KissFFT library is available
-#  -DHAVE_MEDIALIB    The Medialib library (from Sun) is available
-#  -DHAVE_OPENMAX     The OpenMAX signal processing library is available
-#  -DUSE_BUILTIN_FFT  Compile the built-in FFT code (which is very slow)
+#  -DUSE_BUILTIN_FFT  Compile the built-in FFT code (which is not bad)
 #
-# You may define more than one of these. If you define
-# USE_BUILTIN_FFT, the code will be compiled in but will only be used
-# if no other option is available. If no flags are supplied, the code
-# will refuse to compile.
-
-# WARNING! The default option here is VERY SLOW! Read above for better
-# alternatives!
+# You may define more than one of these. If you do so, the decision
+# about which implementation to use when an FFT object is constructed
+# will depend on the FFT length (some libraries only support certain
+# lengths) and on some hardcoded expectations about performance. If no
+# flags are supplied, the code will refuse to compile.
+#
 FFT_DEFINES		:= -DUSE_BUILTIN_FFT

=== bqresample/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 #
 # Available options are
 #
+#  -DHAVE_LIBSAMPLERATE  The libsamplerate library is available (recommended)
 #  -DHAVE_IPP            Intel's Integrated Performance Primitives are available
 #  -DHAVE_LIBRESAMPLE    The libresample library is available
-#  -DHAVE_LIBSAMPLERATE  The libsamplerate library is available
 #  -DUSE_SPEEX           Compile the built-in Speex-derived resampler
 #
 # You may define more than one of these. If you define USE_SPEEX, the
@@ -14,7 +14,7 @@
 # the best available option for a given quality setting. If no flags
 # are supplied, the code will refuse to compile.
 
-RESAMPLE_DEFINES	:= -DUSE_SPEEX
+RESAMPLE_DEFINES	:= -DHAVE_LIBSAMPLERATE
 
 
 # Add to VECTOR_DEFINES and ALLOCATOR_DEFINES any options desired for
@@ -28,7 +28,7 @@
 # Add any related includes and libraries here
 #
 THIRD_PARTY_INCLUDES	:=
-THIRD_PARTY_LIBS	:=
+THIRD_PARTY_LIBS	:= -lsamplerate
 
 
 # If you are including a set of bq libraries into a project, you can

=== piper-vamp-cpp/ext/json11/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
if (CMAKE_VERSION VERSION_LESS "3")
  project(json11 CXX)
else()
  cmake_policy(SET CMP0048 NEW)
  project(json11 VERSION 1.0.0 LANGUAGES CXX)
endif()

enable_testing()

option(JSON11_BUILD_TESTS "Build unit tests" OFF)
option(JSON11_ENABLE_DR1467_CANARY "Enable canary test for DR 1467" OFF)

if(CMAKE_VERSION VERSION_LESS "3")
  add_definitions(-std=c++11)
else()
  set(CMAKE_CXX_STANDARD 11)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr)
endif()

add_library(json11 json11.cpp)
target_include_directories(json11 PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_compile_options(json11
  PRIVATE -fPIC -fno-rtti -fno-exceptions -Wall)

# Set warning flags, which may vary per platform
include(CheckCXXCompilerFlag)
set(_possible_warnings_flags /W4 /WX -Wextra -Werror)
foreach(_warning_flag in ${_possible_warnings_flags})
  CHECK_CXX_COMPILER_FLAG(_warning_flag _flag_supported)
  if(${_flag_supported})
    target_compile_options(json11 PRIVATE ${_warning_flag})
  endif()
endforeach()

configure_file("json11.pc.in" "json11.pc" @ONLY)

if (JSON11_BUILD_TESTS)

  # enable test for DR1467, described here: https://llvm.org/bugs/show_bug.cgi?id=23812
  if(JSON11_ENABLE_DR1467_CANARY)
    add_definitions(-D JSON11_ENABLE_DR1467_CANARY=1)
  else()
    add_definitions(-D JSON11_ENABLE_DR1467_CANARY=0)
  endif()

  add_executable(json11_test test.cpp)
  target_link_libraries(json11_test json11)
endif()

install(TARGETS json11 DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE})
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/json11.hpp" DESTINATION include/${CMAKE_LIBRARY_ARCHITECTURE})
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/json11.pc" DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}/pkgconfig)

=== debian/changelog ===
sonic-visualiser (4.4-3build1) jammy; urgency=medium

  * No-change rebuild against libcapnp-0.8.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 17:01:27 +0000

sonic-visualiser (4.4-3) unstable; urgency=medium

  * Increase test timeout (to allow building on slow archs)
    (Closes: #1000702 (next stage))
  * Use execute_{before,after}_dh... rather than override_dh_...

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Nov 2021 12:47:35 +0100

sonic-visualiser (4.4-2) unstable; urgency=medium

  * Link with libatomic on architectures without built-in atomic
    (Closes: #1000702)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 27 Nov 2021 22:08:55 +0100

sonic-visualiser (4.4-1) unstable; urgency=medium

  * New upstream version 4.4

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * B-D on 'meson'
  * Install helpers via the dh_auto_install override
  * Compress with xz
  * Update d/watch
  * Apply 'wrap-and-sort -ast'
  * Drop d/copyright entry for non-existing files
    * Regenerate d/copyright_hints
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Sep 2021 18:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ capnproto,
  debhelper-compat (= 13),
- qt5-qmake,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
- libqt5svg5-dev,
  libbz2-dev,
- capnproto,
  libcapnp-dev (>= 0.6.0),
  libdataquay-dev (>= 0.9-3),
  libfftw3-dev,
@@ -23,10 +19,11 @@
  libjack-dev,
  liblo-dev,
  liblrdf0-dev,
- libopusfile-dev,
  libmad0-dev,
  liboggz2-dev,
+ libopusfile-dev,
  libpulse-dev,
+ libqt5svg5-dev,
  librdf0-dev,
  librubberband-dev,
  libsamplerate0-dev,
@@ -34,9 +31,14 @@
  libsndfile1-dev,
  libsord-dev,
  libx11-dev,
+ meson,
  portaudio19-dev,
- vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.5.0
+ qt5-qmake,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ vamp-plugin-sdk,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,19 @@
 
 include /usr/share/dpkg/buildflags.mk
 
+noatomicarch = $(shell dpkg-architecture -qDEB_HOST_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")
+
 DEB_CXXFLAGS_MAINT_APPEND=-std=c++14 $(CPPFLAGS)
 DEB_LDFLAGS_MAINT_APPEND=
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
     DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
 endif
 DEB_LDFLAGS_MAINT_APPEND+= -Wl,--as-needed
+
+# link with libatomic on architectures without built-in atomic
+ifeq ($(if $(noatomicarch),atomic), atomic)
+	DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
 
 export DEB_CXXFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
@@ -27,25 +34,25 @@
 %:
 	dh $@
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	mkdir -p $(CURDIR)/tmp
 	cp $(CURDIR)/debian/missing-sources/piper.capnp \
 		$(vamp-capnp)
-	dh_auto_build
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f $(vamp-capnp)/piper.capnp
 	rm -f $(vamp-capnp)/piper.capnp.c++
 	rm -f $(vamp-capnp)/piper.capnp.h
 	rm -rf $(CURDIR)/tmp
 
-override_dh_auto_install:
-	dh_auto_install -- \
-		INSTALL_ROOT='$$(DESTDIR)' \
-		$(empty)
-	rm -rf $(CURDIR)/debian/*/usr/tests/
-	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -delete
+# Increase test timeout
+override_dh_auto_test:
+	dh_auto_test -- -t 100
+
+execute_after_dh_auto_install:
+	rm -rvf $(CURDIR)/debian/*/usr/tests/
+	mkdir -p $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/
+	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -exec mv -v {} $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/ ";"
 
 licensecheck:
 	licensecheck --deb-machine -r * \

=== debian/watch ===
version=4
opts=dversionmangle=auto,uversionmangle=s/(pre|rc)/~$1/ \
https://github.com/sonic-visualiser/sonic-visualiser/releases/ \
	.*/download.*/sonic-visualiser-@ANY_VERSION@@ARCHIVE_EXT@

## sonic-visualiser 4.5

=== bqfft/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-# Add to FFT_DEFINES the relevant options for your desired third-party
-# library support.
+# Add to FFT_DEFINES the relevant options for your desired
+# implementation and/or third-party library support.
 #
 # Available library options are
 #

=== debian/changelog ===
sonic-visualiser (4.5-3) unstable; urgency=medium

  * d/watch: switch to github API
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 10:39:25 +0200

sonic-visualiser (4.5-2) unstable; urgency=medium

  * Add patch to prevent underlinking with libserd-0 (Closes: #1016233)
  * Update lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 05 Aug 2022 20:24:37 +0200

sonic-visualiser (4.5-1) unstable; urgency=medium

  * New upstream version 4.5

  * Update d/copyright
    * Bump copyright dates
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Apr 2022 11:05:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -38,7 +37,7 @@
  qttools5-dev,
  qttools5-dev-tools,
  vamp-plugin-sdk,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git

## sonic-visualiser 4.5.1

=== bqfft/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 #  -DHAVE_IPP         Intel's Integrated Performance Primitives are available
 #  -DHAVE_VDSP        Apple's Accelerate framework is available
 #  -DHAVE_FFTW3       The FFTW library is available
+#  -DHAVE_SLEEF       The SLEEF library is available
 #  -DHAVE_KISSFFT     The KissFFT library is available
 #  -DUSE_BUILTIN_FFT  Compile the built-in FFT code (which is not bad)
 #

=== bqresample/Makefile ===

# Add to RESAMPLE_DEFINES the relevant options for your desired
# implementation and/or third-party library support.
#
# Available library options are
#
#  -DHAVE_LIBSAMPLERATE  The libsamplerate library is available (recommended)
#  -DHAVE_IPP            Intel's Integrated Performance Primitives are available
#  -DHAVE_LIBRESAMPLE    The libresample library is available
#  -DUSE_BQRESAMPLER     Compile the built-in BQ resampler (pretty good)
#  -DUSE_SPEEX           Compile the built-in Speex-derived resampler
#
# You may define more than one of these, and the implementation used
# will depend on the quality setting you request - but it is usually
# better to stick with a single known library. If no flags are
# supplied, the code will refuse to compile.
#
RESAMPLE_DEFINES	:= -DUSE_BQRESAMPLER


# Add to VECTOR_DEFINES and ALLOCATOR_DEFINES any options desired for
# the bqvec library (that are not already defined in RESAMPLE_DEFINES).
# See the bqvec build documentation for more details.
#
VECTOR_DEFINES 		:= 
ALLOCATOR_DEFINES 	:= 


# Add any related includes and libraries here (e.g. -lsamplerate in
# THIRD_PARTY_LIBS if using libsamplerate)
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


# If you are including a set of bq libraries into a project, you can
# override variables for all of them (including all of the above) in
# the following file, which all bq* Makefiles will include if found

-include ../Makefile.inc-bq


# This project-local Makefile describes the source files and contains
# no routinely user-modifiable parts

include build/Makefile.inc

=== bqvec/Makefile ===

# Add to VECTOR_DEFINES the relevant options for your desired
# third-party library support.
#
# Available options are
#
#  -DHAVE_IPP    Intel's Integrated Performance Primitives are available
#  -DHAVE_VDSP   Apple's Accelerate framework is available
#
# The above are optional (they affect performance, not function) and
# you may define more than one of them.
#
# The following two options trade off speed against precision for single-
# precision paths in cases where IPP and VDSP are not available:
#
#  -DUSE_POMMIER_MATHFUN Use Julien Pommier's SSE/NEON implementation
#   of sincos in 32-bit polar-to-cartesian conversion
#  -DUSE_APPROXIMATE_ATAN2 Use a quick but *very* approximate atan2
#   function in 32-bit cartesian-to-polar conversion
#
# And a handful of miscellaneous flags:
#
#  -DLACK_SINCOS  Math library lacks sincos() function
#  -DNO_COMPLEX_TYPES  Don't bother defining bq_complex_t functions
#  -DUSE_SINGLE_PRECISION_COMPLEX  Use float, not double, for bq_complex_t
#  -DNO_EXCEPTIONS  Don't throw exceptions (abort instead)
#
# Add any relevant -I flags for include paths as well.
#
# Note that you must supply the same flags when including bqvec
# headers later as you are using now when compiling the library. (You
# may find it simplest to just add the bqvec source files to your
# application's build system and not build a bqvec library at all.)

VECTOR_DEFINES		:=


# Add to ALLOCATOR_DEFINES options relating to aligned malloc.
# These are not usually necessary.
#
# Available options are
#
#  -DHAVE_POSIX_MEMALIGN       The posix_memalign call is available in sys/mman.h
#  -DLACK_POSIX_MEMALIGN       The posix_memalign call is not available
#
#  -DMALLOC_IS_ALIGNED         The malloc call already returns aligned memory
#  -DMALLOC_IS_NOT_ALIGNED     The malloc call does not return aligned memory
#
#  -DUSE_OWN_ALIGNED_MALLOC    If no aligned malloc is available, roll your own
#  -DAVOID_OWN_ALIGNED_MALLOC  If no aligned malloc is available, refuse to build
#
#  -DLACK_BAD_ALLOC            The C++ library lacks the std::bad_alloc exception
#
# Here "aligned" is assumed to mean "aligned enough for whatever
# vector stuff the space will be used for" which likely means at least
# 16-byte alignment.
#
# If no options are provided, we will use IPP functions if HAVE_IPP is
# defined, or else use _aligned_malloc when building with Visual C++
# on Windows, roll our own when building with some other compiler on
# Windows, use system malloc when building on OS/X, and use
# posix_memalign elsewhere.
#
# Note that you must supply the same flags when including bqvec
# headers later as you are using now when compiling the library. (You
# may find it simplest to just add the bqvec source files to your
# application's build system and not build a bqvec library at all.)

ALLOCATOR_DEFINES 	:= 


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


# If you are including a set of bq libraries into a project, you can
# override variables for all of them (including all of the above) in
# the following file, which all bq* Makefiles will include if found

-include ../Makefile.inc-bq


# This project-local Makefile describes the source files and contains
# no routinely user-modifiable parts

include build/Makefile.inc

=== debian/changelog ===
sonic-visualiser (4.5.1-1build1) lunar; urgency=medium

  * No-change rebuild against libcapnp-0.9.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Feb 2023 16:21:40 +0000

sonic-visualiser (4.5.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 4.5.1
    + Refresh patches
  * Update d/copyright
    + Bump dates
    + Regenerate d/copyright_hints

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 15 Nov 2022 00:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -10,8 +11,8 @@
  capnproto,
  debhelper-compat (= 13),
  libbz2-dev,
- libcapnp-dev (>= 0.6.0),
- libdataquay-dev (>= 0.9-3),
+ libcapnp-dev,
+ libdataquay-dev,
  libfftw3-dev,
  libfishsound1-dev,
  libid3tag0-dev,

## sonic-visualiser 4.5.2

=== bqaudiostream/Makefile ===
--- 
+++ 
@@ -15,8 +15,7 @@
 #  -DHAVE_COREAUDIO    * Read various formats using CoreAudio on macOS/iOS
 #
 # If HAVE_LIBSNDFILE is not defined, a simple built-in Wav file writer
-# will also be provided, as none of the other libraries have write
-# support included here.
+# will also be provided.
 
 AUDIOSTREAM_DEFINES := -DHAVE_LIBSNDFILE -DHAVE_OGGZ -DHAVE_FISHSOUND -DHAVE_OPUS

=== bqresample/Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 # Available library options are
 #
 #  -DHAVE_LIBSAMPLERATE  The libsamplerate library is available (recommended)
+#  -DHAVE_LIBSPEEXDSP    The speexdsp library is available (recommended)
 #  -DHAVE_IPP            Intel's Integrated Performance Primitives are available
-#  -DHAVE_LIBRESAMPLE    The libresample library is available
 #  -DUSE_BQRESAMPLER     Compile the built-in BQ resampler (pretty good)
-#  -DUSE_SPEEX           Compile the built-in Speex-derived resampler
+#  -DUSE_SPEEX           Compile the bundled Speex-derived resampler
 #
 # You may define more than one of these, and the implementation used
 # will depend on the quality setting you request - but it is usually

=== debian/changelog ===
sonic-visualiser (4.5.2-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:20 +1100

sonic-visualiser (4.5.2-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:09:44 +0000

sonic-visualiser (4.5.2-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:03:17 +0000

sonic-visualiser (4.5.2-2) unstable; urgency=medium

  * Use d/clean rather than overriding dh_auto_clean
  * Cleanup intermediate test results (Closes: #1046397)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jan 2024 12:53:39 +0100

sonic-visualiser (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2
    + Refresh patches
  * Update d/copyright
    + Bump copyright dates
    + Update 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 18:05:46 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  qttools5-dev,
  qttools5-dev-tools,
  vamp-plugin-sdk,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git

=== debian/rules ===
--- 
+++ 
@@ -39,12 +39,6 @@
 	cp $(CURDIR)/debian/missing-sources/piper.capnp \
 		$(vamp-capnp)
 
-execute_after_dh_auto_clean:
-	rm -f $(vamp-capnp)/piper.capnp
-	rm -f $(vamp-capnp)/piper.capnp.c++
-	rm -f $(vamp-capnp)/piper.capnp.h
-	rm -rf $(CURDIR)/tmp
-
 # Increase test timeout
 override_dh_auto_test:
 	dh_auto_test -- -t 100
@@ -54,8 +48,14 @@
 	mkdir -p $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/
 	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -exec mv -v {} $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/ ";"
 
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|i18n/sonic-visualiser_.*\.qm|svcore/data/fileio/test/encodings/.*\..*|svcore/data/fileio/test/audio/.*/.*\..*|bqaudiostream/test/testfiles/.*\..*|bqresample/test/e2e/sweep-log.wav|icons/.*\.png|icons/.*\.gif|samples/.*\.wav
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --deb-machine -r * \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

## sonic-visualiser 5.0.1

=== vamp-plugin-sdk/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(vamp-plugin-sdk)

if(MSVC)
    add_compile_options("/W4")
else()
    add_compile_options("-Wall" "-Wextra")
endif()

# sdk
add_library(
    vamp-sdk
    src/vamp-sdk/FFT.cpp
    src/vamp-sdk/PluginAdapter.cpp
    src/vamp-sdk/RealTime.cpp
    src/vamp-sdk/acsymbols.c
)
set_target_properties(vamp-sdk PROPERTIES POSITION_INDEPENDENT_CODE ON)  # to be linked to shared plugin libraries
target_include_directories(vamp-sdk PUBLIC .)
target_compile_features(vamp-sdk PUBLIC cxx_std_11)
add_library(vamp-plugin-sdk::vamp-sdk ALIAS vamp-sdk)

# host sdk
add_library(
    vamp-hostsdk
    src/vamp-hostsdk/Files.cpp
    src/vamp-hostsdk/PluginBufferingAdapter.cpp
    src/vamp-hostsdk/PluginChannelAdapter.cpp
    src/vamp-hostsdk/PluginHostAdapter.cpp
    src/vamp-hostsdk/PluginInputDomainAdapter.cpp
    src/vamp-hostsdk/PluginLoader.cpp
    src/vamp-hostsdk/PluginSummarisingAdapter.cpp
    src/vamp-hostsdk/PluginWrapper.cpp
    src/vamp-hostsdk/RealTime.cpp
    src/vamp-hostsdk/host-c.cpp
    src/vamp-hostsdk/acsymbols.c
)
target_link_libraries(vamp-hostsdk PUBLIC ${CMAKE_DL_LIBS})
target_include_directories(vamp-hostsdk PUBLIC .)
target_compile_definitions(vamp-hostsdk PUBLIC _USE_MATH_DEFINES)  # for e.g. M_PI constant
target_compile_features(vamp-hostsdk PUBLIC cxx_std_11)
add_library(vamp-plugin-sdk::vamp-hostsdk ALIAS vamp-hostsdk)

# rdf generator
option(VAMPSDK_BUILD_RDFGEN "Build RDF template generator" OFF)
if(VAMPSDK_BUILD_RDFGEN)
    add_executable(vamp-rdf-template-generator rdf/generator/vamp-rdf-template-generator.cpp)
    target_link_libraries(vamp-rdf-template-generator PRIVATE vamp-hostsdk)
endif()

# example plugins
option(VAMPSDK_BUILD_EXAMPLE_PLUGINS "Build example plugins" OFF)
if(VAMPSDK_BUILD_EXAMPLE_PLUGINS)
    file(GLOB sources_plugins "examples/*.cpp")
    add_library(vamp-example-plugins SHARED ${sources_plugins})
    set_target_properties(vamp-example-plugins PROPERTIES PREFIX "")  # remove lib* prefix
    target_link_libraries(vamp-example-plugins PRIVATE vamp-sdk)
    if(MSVC)
        set_target_properties(vamp-example-plugins PROPERTIES LINK_FLAGS /EXPORT:vampGetPluginDescriptor)
    else()
        if(APPLE)
            set_target_properties(vamp-example-plugins PROPERTIES LINK_FLAGS "-exported_symbols_list ${CMAKE_SOURCE_DIR}/vamp-plugin.list")
        else()
            set_target_properties(vamp-example-plugins PROPERTIES LINK_FLAGS "-Wl,--version-script=${CMAKE_SOURCE_DIR}/vamp-plugin.map")
        endif(APPLE)
    endif(MSVC)
endif()

# simple host
option(VAMPSDK_BUILD_SIMPLE_HOST "Build simple host" OFF)
if(VAMPSDK_BUILD_SIMPLE_HOST)
    find_path(LIBSNDFILE_INCLUDE_DIR NAMES sndfile.h)
    find_library(LIBSNDFILE_LIBRARY NAMES sndfile)

    include(FindPackageHandleStandardArgs)
    find_package_handle_standard_args(
        SndFile
        REQUIRED_VARS
            LIBSNDFILE_LIBRARY
            LIBSNDFILE_INCLUDE_DIR
    )

    add_executable(vamp-simple-host host/vamp-simple-host.cpp)
    target_link_libraries(vamp-simple-host PRIVATE vamp-hostsdk ${LIBSNDFILE_LIBRARY})
    target_include_directories(vamp-simple-host PRIVATE ${LIBSNDFILE_INCLUDE_DIR})
endif()

# install

option(VAMPSDK_ENABLE_INSTALL "Enable to add install directives" ON)

if(VAMPSDK_ENABLE_INSTALL)
    include(GNUInstallDirs)

    install(TARGETS vamp-sdk vamp-hostsdk EXPORT VampSdkTargets
      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
      ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
      LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
      PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

    file (GLOB VAMP_HEADERS "vamp/*.h")
    install (FILES ${VAMP_HEADERS} DESTINATION include/vamp)

    file (GLOB VAMP_SDK_HEADERS "vamp-sdk/*.h")
    install (FILES ${VAMP_SDK_HEADERS} DESTINATION include/vamp-sdk)

    file (GLOB VAMP_HOSTSDK_HEADERS "vamp-hostsdk/*.h")
    install (FILES ${VAMP_HOSTSDK_HEADERS} DESTINATION include/vamp-hostsdk)

    # The following code for installing the pc files could be simplified
    # in case support for native configure/make was dropped.

    macro(configure_pc_file file)
      file(READ "pkgconfig/${file}.in" FILE_CONTENT)
      string(REPLACE "%PREFIX%" "@prefix@" FILE_CONTENT "${FILE_CONTENT}" )
      file(WRITE "${CMAKE_BINARY_DIR}/${file}.in" "${FILE_CONTENT}")
      configure_file("${CMAKE_BINARY_DIR}/${file}.in" ${file} @ONLY)
    endmacro()

    set(prefix ${CMAKE_INSTALL_PREFIX})
    configure_pc_file(vamp.pc)
    configure_pc_file(vamp-sdk.pc)
    configure_pc_file(vamp-hostsdk.pc)
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/vamp.pc
        ${CMAKE_CURRENT_BINARY_DIR}/vamp-sdk.pc
        ${CMAKE_CURRENT_BINARY_DIR}/vamp-hostsdk.pc
      DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

=== debian/changelog ===
sonic-visualiser (5.0.1-1build1) plucky; urgency=medium

  * No-change rebuild for libcapnp-1.1.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Jan 2025 09:49:29 +0000

sonic-visualiser (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
    + Refresh patches
  * Use vendored dataquay (Closes: #1080495)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Oct 2024 10:39:06 +0200

sonic-visualiser (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
    + Refresh patches
    + Drop obsolete patches
  * Switch to Qt6
  * Drop explicit setting of C++-standard
  * Make sure to link svcore against the system's libdataquay
  * Update d/copyright
    + Bump dates
    + Regenerate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Aug 2024 09:29:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -23,7 +22,7 @@
  liboggz2-dev,
  libopusfile-dev,
  libpulse-dev,
- libqt5svg5-dev,
+ libqt6svg6-dev,
  librdf0-dev,
  librubberband-dev,
  libsamplerate0-dev,
@@ -33,12 +32,11 @@
  libx11-dev,
  meson,
  portaudio19-dev,
- qt5-qmake,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
+ qt6-base-dev,
+ qt6-base-dev-tools,
+ qt6-pdf-dev,
  vamp-plugin-sdk,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git

## sonic-visualiser 5.2

=== debian/changelog ===
sonic-visualiser (5.2-1) unstable; urgency=medium

  * New upstream version 5.2
    + Refresh patches
  * Update d/copyright
    + Bump dates
    + Add new files
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Mar 2025 20:55:45 +0100

## sonic-visualiser 5.2.1

=== meson_options.txt ===
option('no_qt',
       type: 'boolean',
       value: 'false',
       description: 'Build only the small utilities that do not use Qt.')

=== bqaudioio/Makefile ===

# Place in AUDIOIO_DEFINES the relevant options for the audio
# recording and playback APIs you wish to compile support for.
#
# Available options are
#
#  -DHAVE_PORTAUDIO     General cross-platform support using PortAudio
#  -DHAVE_JACK          Cross-platform low-latency audio using JACK
#  -DHAVE_LIBPULSE      Direct PulseAudio support on Linux
#
# You may define more than one of these.

AUDIOIO_DEFINES	:= -DHAVE_JACK -DHAVE_LIBPULSE -DHAVE_PORTAUDIO


# Add any related includes and libraries here
#
THIRD_PARTY_INCLUDES	:=
THIRD_PARTY_LIBS	:=


# If you are including a set of bq libraries into a project, you can
# override variables for all of them (including all of the above) in
# the following file, which all bq* Makefiles will include if found

-include ../Makefile.inc-bq


# This project-local Makefile describes the source files and contains
# no routinely user-modifiable parts

include build/Makefile.inc

=== debian/changelog ===
sonic-visualiser (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Mar 2025 13:32:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  capnproto,
- debhelper-compat (= 13),
  libbz2-dev,
  libcapnp-dev,
  libdataquay-dev,
@@ -36,7 +36,7 @@
  qt6-base-dev-tools,
  qt6-pdf-dev,
  vamp-plugin-sdk,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 noatomicarch = $(shell dpkg-architecture -qDEB_HOST_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")
 
-DEB_CXXFLAGS_MAINT_APPEND=-std=c++14 $(CPPFLAGS)
+DEB_CXXFLAGS_MAINT_APPEND=$(CPPFLAGS)
 DEB_LDFLAGS_MAINT_APPEND=
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
     DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
@@ -27,7 +27,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
 
-export QT_SELECT=qt5
+export QT_SELECT=qt6
 
 vamp-capnp=$(CURDIR)/piper-vamp-cpp/vamp-capnp

=== debian/watch ===
## github broke the releases page, so we now have to use the API...
version=4
opts="searchmode=plain, \
  uversionmangle=s/(pre|rc)/~$1/, \
  dversionmangle=auto" \
	https://api.github.com/repos/sonic-visualiser/sonic-visualiser/releases \
	https://github.com/sonic-visualiser/sonic-visualiser/releases/download/[a-zA-Z0-9_.-]*/sonic-visualiser@ANY_VERSION@@ARCHIVE_EXT@
